Update milestone
Update an existing milestone
Also accepts PATCH with the same body.
PUT
/
admin
/
api
/
v1
/
projects
/
milestones
/
{id}
Update milestone
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/projects/milestones/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Phase 1 Signoff",
"deadline": "2026-03-20 12:00:00",
"is_completed": false,
"project_id": 1
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/milestones/{id}"
payload = {
"name": "Phase 1 Signoff",
"deadline": "2026-03-20 12:00:00",
"is_completed": False,
"project_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Phase 1 Signoff',
deadline: '2026-03-20 12:00:00',
is_completed: false,
project_id: 1
})
};
fetch('https://erp.arukz.com/admin/api/v1/projects/milestones/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/milestones/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Phase 1 Signoff',
'deadline' => '2026-03-20 12:00:00',
'is_completed' => false,
'project_id' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Research and Development",
"deadline": "2025-04-19T00:00:00.000000Z",
"is_completed": false,
"completed_at": null,
"project_id": 1,
"creator_id": 1,
"created_at": "2025-04-11T11:04:47.000000Z",
"updated_at": "2025-04-11T11:04:47.000000Z"
},
"message": "Milestone updated successfully."
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Success
⌘I
Update milestone
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/projects/milestones/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Phase 1 Signoff",
"deadline": "2026-03-20 12:00:00",
"is_completed": false,
"project_id": 1
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/milestones/{id}"
payload = {
"name": "Phase 1 Signoff",
"deadline": "2026-03-20 12:00:00",
"is_completed": False,
"project_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Phase 1 Signoff',
deadline: '2026-03-20 12:00:00',
is_completed: false,
project_id: 1
})
};
fetch('https://erp.arukz.com/admin/api/v1/projects/milestones/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/milestones/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Phase 1 Signoff',
'deadline' => '2026-03-20 12:00:00',
'is_completed' => false,
'project_id' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Research and Development",
"deadline": "2025-04-19T00:00:00.000000Z",
"is_completed": false,
"completed_at": null,
"project_id": 1,
"creator_id": 1,
"created_at": "2025-04-11T11:04:47.000000Z",
"updated_at": "2025-04-11T11:04:47.000000Z"
},
"message": "Milestone updated successfully."
}{
"message": "Unauthenticated."
}